Send an SMS message from Contour

POST /rapid/sendsms

❗️

This documentation is no longer supported

For the latest information on our API, see Getting Started with the RedEye API

Send an SMS campaign schedule to recipients using their mobile number. During a RAPID SMS request, the RAPID service checks the SMS permit of a recipient, updates existing records and inserts new records for a new person.

SMS handling

  • You cannot have spaces or hyphens in the mobile number
  • Works with or without the + sign
  • International numbers are supported
  • An invalid mobile number will still be charged even though the SMS will not be received
🚧

Warning: Person aliases are not supported

📘

Note: Duplicate batch_ids are ignored.

URL https://api.redeye.com/[client_id]/rapid/sendsms/

Body Sample

{  
  "schedule": "string",  
  "batch_id": 0,  
  "recipients": [  
    {  
      "mobile": "string",  
      "firstname": "string"  
    }  
  ]  
}

Body Schema

{} RapidBody
Schedule (string) : The name of the schedule to send.
Batch_id (integer): A unique reference number. By default, a reference number is automatically generated if one is not provided. If you specify your own batch ID it must be unique, for example, a non-decimal integer value such as a microtime. In this instance, 100 bytes of disk space is reserved to store the batch ID in the database. If you want to save the batch ID that is returned in the call response, you need to reserve this amount of space for each batch ID. If a duplicate batch ID is detected, subsequent requests using the same batch ID are not processed.
Recipientsarray: The number of optional person fields and parameters that can be used per recipient has a maximum limit. This is configured by your RedEye Account Manager.
{} RecipientSMSFields
Mobilestring: Currently this is limited to a maximum of 10,000 mobile numbers. A maximum of 100 optional person fields and parameters are allowed per mobile number.
Firstnamestring: A person's first name. Merge data for the message content. This data is stored in the database.

Response Sample

{  
  "status": "string",  
  "batch_id": "string",  
  "token": "string"  
}

Response Schema

{} RapidSuccess
Statusstring: A message describing the overall status of the call. A status of 'OK' is recorded as acceptance of the API request and not the receipt of the email.
Batch_id string: Returns the automatically generated or user defined batch ID that was specified in the call.
Token string: Use this token in a RAPID getstatus call to identify and retrieve information about the specific RAPID call that was transmitted.